import java.math.BigInteger;
import java.util.Map;

public class Negate extends UnaryOperator {
  public Negate (ExpressionTree right)
  {super(right);}
  
	public BigInteger evaluate(Map variables)
	{return getRight().evaluate(variables).negate();}
	
	public String getOpSymbol()
	{return "~";}
}

